<?php
	defined('BASEPATH') OR exit('No direct script access allowed');
	class Permisos{
		private $CI;
		private $model;
		private $user_id;
		private $user_permisos=array();
		/**/
		function __construct($params){
			$this->CI =& get_instance();
			$this->CI->load->database();
			$this->CI->load->model('Generic_model');
			$this->Generic_model=$this->CI->Generic_model;
			/**/
			$this->user_id=$params["user_id"];
			$this->user_permisos=$this->Generic_model->get('usuarios','permisos_usuario',array('id_usuario'=>$this->user_id));
			$this->user_permisos=unserialize(base64_decode($this->user_permisos[0]->permisos_usuario));
		}
		/*Verificar permisos validos*/
		public function verificar($permisos){
			$valid=false;
			if($permisos!=null && is_array($permisos) && count($permisos)){
				foreach($permisos as $permiso){
					$valid=filter_var($this->user_permisos[$permiso["seccion"]][$permiso["nombre"]],FILTER_VALIDATE_BOOLEAN);
					if(!$valid) break;
				}
			}
			return $valid;
		}
	}
?>
